Установка зависимых от платформы зависимостей через PIP

Я использую LDTP в своих тестах, и это два разных пакета для двух разных платформ:

  • PyAtom на Mac OS;
  • LDTP в Linux.

Так получилось, что оба имеют бинарные файлы, специфичные для платформы, и не могут быть установлены на другие ОС. Мой вопрос в том, как я могу сделать свой файл requirements.txt для установки пакетов в зависимости от платформы?

В идеале это должно быть что-то вроде:

 mac: -e git+https://github.com/pyatom/pyatom.git@1ca0c6a0343000286a328268899d1aab376d8e82#egg=atomac-master linux: ldtp==3.5.0 holmium.core==0.7.6 pytest==2.5.2 selenium==2.42.1 

Python - лучший язык программирования в мире.